%define name gai-album
%define version 0.7
%define release %mkrel 6

Name: %name
Summary: Displays the front CD cover of the album played by XMMS
Version: %{version}
Release: %{release}
License: GPL
Url: http://gai.sf.net
Group: Sound
Source: http://prdownloads.sourceforge.net/gai/%{name}-%{version}.tar.bz2
Source10:   %{name}-16.png
Source11:   %{name}-32.png
Source12:   %{name}-48.png
Patch: gai-album-0.7-rox-install.patch
BuildRoot: %{_tmppath}/build-root-%{name}
BuildRequires: xmms-devel
BuildRequires: libgai-devel >= 0.5.3

%description
A GAI applet displaying the front CD cover of the album played by
XMMS. 

This applet can be used in the GNOME and ROX Panels and as a
WindowMaker dockapp. Other panels and Window Managers will be
supported soon.

%prep
%setup -q 
%patch -p1

%build
%configure2_5x
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
%if %_lib != lib
mv %buildroot%_prefix/lib/* %buildroot%_libdir/
%endif
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name} 
?package(%name): command="%{_bindir}/%name" icon="%name.png" \
                needs="X11" section="Multimedia/Sound" \
 title="Gai-album" longtitle="Xmms cover viewer" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gai-Album
Comment=Xmms cover viewer
Exec=%{_bindir}/%{name}
Icon=%name
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
StartupNotify=true
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc README README.gai
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
%_libdir/apps/*
%_datadir/applications/mandriva*
%{_menudir}/%name
%{_datadir}/pixmaps/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png




%changelog
* Fri Jan 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-6mdv2008.1
+ Revision: 145273
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.7-5mdv2008.1
+ Revision: 140731
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.7-5mdv2007.0
+ Revision: 112815
- Import gai-album

* Wed Jan 24 2007 Gtz Waschk <waschk@mandriva.org> 0.7-5mdv2007.1
- unpack patch

* Fri Jul 21 2006 Gtz Waschk <waschk@mandriva.org> 0.7-4mdv2007.0
- xdg menu

* Thu May 11 2006 Götz Waschk <waschk@mandriva.org> 0.7-3mdk
- Rebuild
- use mkrel

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix build on x86_64

* Wed Jul 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- update patch
- New release 0.7

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-3mdk
- update description (again)
- fix ROX installation

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix description

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- fix source location
- new version

* Tue Apr 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- new version

* Sun Apr 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- fix installation
- requires new gai
- new version

* Mon Mar 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- new version

